@-webkit-keyframes fadeIn {
  0% {
    opacity:0
  }
  to {
    opacity:1
  }
}
@keyframes fadeIn {
  0% {
    opacity:0
  }
  to {
    opacity:1
  }
}
.fade-in {
  -webkit-animation:fadeIn 1s ease-in;
  animation:fadeIn 1s ease-in
}
@-webkit-keyframes fadeOut {
  0% {
    opacity:1
  }
  to {
    opacity:0
  }
}
@keyframes fadeOut {
  0% {
    opacity:1
  }
  to {
    opacity:0
  }
}
.fade-out {
  -webkit-animation:fadeOut 1s ease-out;
  animation:fadeOut 1s ease-out
}
@-webkit-keyframes slideInLeft {
  0% {
    -webkit-transform:translateX(-100%);
    transform:translate(-100%)
  }
  to {
    -webkit-transform:translateX(0);
    transform:translate(0)
  }
}
@keyframes slideInLeft {
  0% {
    -webkit-transform:translateX(-100%);
    transform:translate(-100%)
  }
  to {
    -webkit-transform:translateX(0);
    transform:translate(0)
  }
}
.slide-in-left {
  -webkit-animation:slideInLeft .5s ease-out;
  animation:slideInLeft .5s ease-out
}
@-webkit-keyframes slideInRight {
  0% {
    -webkit-transform:translateX(100%);
    transform:translate(100%)
  }
  to {
    -webkit-transform:translateX(0);
    transform:translate(0)
  }
}
@keyframes slideInRight {
  0% {
    -webkit-transform:translateX(100%);
    transform:translate(100%)
  }
  to {
    -webkit-transform:translateX(0);
    transform:translate(0)
  }
}
.slide-in-right {
  -webkit-animation:slideInRight .5s ease-out;
  animation:slideInRight .5s ease-out
}
@-webkit-keyframes slideInTop {
  0% {
    -webkit-transform:translateY(-100%);
    transform:translateY(-100%)
  }
  to {
    -webkit-transform:translateY(0);
    transform:translateY(0)
  }
}
@keyframes slideInTop {
  0% {
    -webkit-transform:translateY(-100%);
    transform:translateY(-100%)
  }
  to {
    -webkit-transform:translateY(0);
    transform:translateY(0)
  }
}
.slide-in-top {
  -webkit-animation:slideInTop .5s ease-out;
  animation:slideInTop .5s ease-out
}
@-webkit-keyframes slideInBottom {
  0% {
    -webkit-transform:translateY(100%);
    transform:translateY(100%)
  }
  to {
    -webkit-transform:translateY(0);
    transform:translateY(0)
  }
}
@keyframes slideInBottom {
  0% {
    -webkit-transform:translateY(100%);
    transform:translateY(100%)
  }
  to {
    -webkit-transform:translateY(0);
    transform:translateY(0)
  }
}
.slide-in-bottom {
  -webkit-animation:slideInBottom .5s ease-out;
  animation:slideInBottom .5s ease-out
}
@-webkit-keyframes bounce {
  0%,
  to {
    -webkit-transform:translateY(0);
    transform:translateY(0)
  }
  50% {
    -webkit-transform:translateY(-20px);
    transform:translateY(-20px)
  }
}
@keyframes bounce {
  0%,
  to {
    -webkit-transform:translateY(0);
    transform:translateY(0)
  }
  50% {
    -webkit-transform:translateY(-20px);
    transform:translateY(-20px)
  }
}
.bounce {
  -webkit-animation:bounce 1s infinite;
  animation:bounce 1s infinite
}
@-webkit-keyframes rotate {
  0% {
    -webkit-transform:rotate(0deg);
    transform:rotate(0)
  }
  to {
    -webkit-transform:rotate(360deg);
    transform:rotate(360deg)
  }
}
@keyframes rotate {
  0% {
    -webkit-transform:rotate(0deg);
    transform:rotate(0)
  }
  to {
    -webkit-transform:rotate(360deg);
    transform:rotate(360deg)
  }
}
.rotate {
  -webkit-animation:rotate 2s linear infinite;
  animation:rotate 2s linear infinite
}
@-webkit-keyframes pulse {
  0%,
  to {
    -webkit-transform:scale(1);
    transform:scale(1)
  }
  50% {
    -webkit-transform:scale(1.1);
    transform:scale(1.1)
  }
}
@keyframes pulse {
  0%,
  to {
    -webkit-transform:scale(1);
    transform:scale(1)
  }
  50% {
    -webkit-transform:scale(1.1);
    transform:scale(1.1)
  }
}
.pulse {
  -webkit-animation:pulse 1s infinite;
  animation:pulse 1s infinite
}
@-webkit-keyframes shake {
  0%,
  to {
    -webkit-transform:translateX(0);
    transform:translate(0)
  }
  25% {
    -webkit-transform:translateX(-10px);
    transform:translate(-10px)
  }
  75% {
    -webkit-transform:translateX(10px);
    transform:translate(10px)
  }
}
@keyframes shake {
  0%,
  to {
    -webkit-transform:translateX(0);
    transform:translate(0)
  }
  25% {
    -webkit-transform:translateX(-10px);
    transform:translate(-10px)
  }
  75% {
    -webkit-transform:translateX(10px);
    transform:translate(10px)
  }
}
.shake {
  -webkit-animation:shake .5s infinite;
  animation:shake .5s infinite
}
@-webkit-keyframes flip {
  0% {
    -webkit-transform:rotateY(0deg);
    transform:rotateY(0)
  }
  to {
    -webkit-transform:rotateY(180deg);
    transform:rotateY(180deg)
  }
}
@keyframes flip {
  0% {
    -webkit-transform:rotateY(0deg);
    transform:rotateY(0)
  }
  to {
    -webkit-transform:rotateY(180deg);
    transform:rotateY(180deg)
  }
}
.flip {
  -webkit-animation:flip 1s ease-in-out infinite;
  animation:flip 1s ease-in-out infinite
}
@-webkit-keyframes zoomIn {
  0% {
    -webkit-transform:scale(0);
    transform:scale(0)
  }
  to {
    -webkit-transform:scale(1);
    transform:scale(1)
  }
}
@keyframes zoomIn {
  0% {
    -webkit-transform:scale(0);
    transform:scale(0)
  }
  to {
    -webkit-transform:scale(1);
    transform:scale(1)
  }
}
.zoom-in {
  -webkit-animation:zoomIn .5s ease-out;
  animation:zoomIn .5s ease-out
}
@-webkit-keyframes zoomOut {
  0% {
    -webkit-transform:scale(1);
    transform:scale(1)
  }
  to {
    -webkit-transform:scale(0);
    transform:scale(0)
  }
}
@keyframes zoomOut {
  0% {
    -webkit-transform:scale(1);
    transform:scale(1)
  }
  to {
    -webkit-transform:scale(0);
    transform:scale(0)
  }
}
.zoom-out {
  -webkit-animation:zoomOut .5s ease-out;
  animation:zoomOut .5s ease-out
}
@-webkit-keyframes blink {
  0%,
  to {
    opacity:1
  }
  50% {
    opacity:0
  }
}
@keyframes blink {
  0%,
  to {
    opacity:1
  }
  50% {
    opacity:0
  }
}
.blink {
  -webkit-animation:blink 1s infinite;
  animation:blink 1s infinite
}
@-webkit-keyframes swing {
  0% {
    -webkit-transform:rotate(0deg);
    transform:rotate(0)
  }
  25% {
    -webkit-transform:rotate(15deg);
    transform:rotate(15deg)
  }
  75% {
    -webkit-transform:rotate(-15deg);
    transform:rotate(-15deg)
  }
  to {
    -webkit-transform:rotate(0deg);
    transform:rotate(0)
  }
}
@keyframes swing {
  0% {
    -webkit-transform:rotate(0deg);
    transform:rotate(0)
  }
  25% {
    -webkit-transform:rotate(15deg);
    transform:rotate(15deg)
  }
  75% {
    -webkit-transform:rotate(-15deg);
    transform:rotate(-15deg)
  }
  to {
    -webkit-transform:rotate(0deg);
    transform:rotate(0)
  }
}
.swing {
  -webkit-animation:swing 1s ease-in-out infinite;
  animation:swing 1s ease-in-out infinite
}
@-webkit-keyframes wobble {
  0%,
  to {
    -webkit-transform:translateX(0%);
    transform:translate(0)
  }
  15% {
    -webkit-transform:translateX(-25%) rotate(-5deg);
    transform:translate(-25%) rotate(-5deg)
  }
  30% {
    -webkit-transform:translateX(20%) rotate(3deg);
    transform:translate(20%) rotate(3deg)
  }
  45% {
    -webkit-transform:translateX(-15%) rotate(-3deg);
    transform:translate(-15%) rotate(-3deg)
  }
  60% {
    -webkit-transform:translateX(10%) rotate(2deg);
    transform:translate(10%) rotate(2deg)
  }
  75% {
    -webkit-transform:translateX(-5%) rotate(-1deg);
    transform:translate(-5%) rotate(-1deg)
  }
}
@keyframes wobble {
  0%,
  to {
    -webkit-transform:translateX(0%);
    transform:translate(0)
  }
  15% {
    -webkit-transform:translateX(-25%) rotate(-5deg);
    transform:translate(-25%) rotate(-5deg)
  }
  30% {
    -webkit-transform:translateX(20%) rotate(3deg);
    transform:translate(20%) rotate(3deg)
  }
  45% {
    -webkit-transform:translateX(-15%) rotate(-3deg);
    transform:translate(-15%) rotate(-3deg)
  }
  60% {
    -webkit-transform:translateX(10%) rotate(2deg);
    transform:translate(10%) rotate(2deg)
  }
  75% {
    -webkit-transform:translateX(-5%) rotate(-1deg);
    transform:translate(-5%) rotate(-1deg)
  }
}
.wobble {
  -webkit-animation:wobble 1s infinite;
  animation:wobble 1s infinite
}
@-webkit-keyframes fadeInScale {
  0% {
    opacity:0;
    -webkit-transform:scale(.5);
    transform:scale(.5)
  }
  to {
    opacity:1;
    -webkit-transform:scale(1);
    transform:scale(1)
  }
}
@keyframes fadeInScale {
  0% {
    opacity:0;
    -webkit-transform:scale(.5);
    transform:scale(.5)
  }
  to {
    opacity:1;
    -webkit-transform:scale(1);
    transform:scale(1)
  }
}
.fade-in-scale {
  -webkit-animation:fadeInScale .5s ease-out;
  animation:fadeInScale .5s ease-out
}
@-webkit-keyframes fadeOutScale {
  0% {
    opacity:1;
    -webkit-transform:scale(1);
    transform:scale(1)
  }
  to {
    opacity:0;
    -webkit-transform:scale(.5);
    transform:scale(.5)
  }
}
@keyframes fadeOutScale {
  0% {
    opacity:1;
    -webkit-transform:scale(1);
    transform:scale(1)
  }
  to {
    opacity:0;
    -webkit-transform:scale(.5);
    transform:scale(.5)
  }
}
.fade-out-scale {
  -webkit-animation:fadeOutScale .5s ease-out;
  animation:fadeOutScale .5s ease-out
}
@-webkit-keyframes growShrink {
  0%,
  to {
    -webkit-transform:scale(1);
    transform:scale(1)
  }
  50% {
    -webkit-transform:scale(1.2);
    transform:scale(1.2)
  }
}
@keyframes growShrink {
  0%,
  to {
    -webkit-transform:scale(1);
    transform:scale(1)
  }
  50% {
    -webkit-transform:scale(1.2);
    transform:scale(1.2)
  }
}
.grow-shrink {
  -webkit-animation:growShrink 1s infinite;
  animation:growShrink 1s infinite
}
@-webkit-keyframes spinFade {
  0% {
    -webkit-transform:rotate(0deg);
    transform:rotate(0);
    opacity:1
  }
  to {
    -webkit-transform:rotate(360deg);
    transform:rotate(360deg);
    opacity:0
  }
}
@keyframes spinFade {
  0% {
    -webkit-transform:rotate(0deg);
    transform:rotate(0);
    opacity:1
  }
  to {
    -webkit-transform:rotate(360deg);
    transform:rotate(360deg);
    opacity:0
  }
}
.spin-fade {
  -webkit-animation:spinFade 2s linear infinite;
  animation:spinFade 2s linear infinite
}
@-webkit-keyframes popIn {
  0% {
    -webkit-transform:scale(0);
    transform:scale(0);
    opacity:0
  }
  80% {
    -webkit-transform:scale(1.1);
    transform:scale(1.1);
    opacity:1
  }
  to {
    -webkit-transform:scale(1);
    transform:scale(1);
    opacity:1
  }
}
@keyframes popIn {
  0% {
    -webkit-transform:scale(0);
    transform:scale(0);
    opacity:0
  }
  80% {
    -webkit-transform:scale(1.1);
    transform:scale(1.1);
    opacity:1
  }
  to {
    -webkit-transform:scale(1);
    transform:scale(1);
    opacity:1
  }
}
.pop-in {
  -webkit-animation:popIn .5s ease-out;
  animation:popIn .5s ease-out
}
@-webkit-keyframes item-entering {
  0% {
    opacity:0;
    height:0;
    padding-top:0;
    padding-bottom:0;
    margin-bottom:-2px;
    -webkit-transform:scale(.9);
    transform:scale(.9)
  }
  to {
    opacity:1;
    height:59px;
    -webkit-transform:scale(1);
    transform:scale(1)
  }
}
@keyframes item-entering {
  0% {
    opacity:0;
    height:0;
    padding-top:0;
    padding-bottom:0;
    margin-bottom:-2px;
    -webkit-transform:scale(.9);
    transform:scale(.9)
  }
  to {
    opacity:1;
    height:59px;
    -webkit-transform:scale(1);
    transform:scale(1)
  }
}
.effect-screen {
  width:100vw;
  height:100vh;
  z-index:999999999;
  position:fixed;
  top:0;
  pointer-events:none
}
.celebration-area {
  -webkit-perspective:700px;
  perspective:700px;
  position:absolute;
  overflow:hidden;
  top:0;
  right:0;
  bottom:0;
  left:0
}
.celebration-particle {
  position:absolute;
  z-index:1;
  top:-10px;
  border-radius:0%
}
.celebration-particle.slow {
  -webkit-animation:celebration-slow 2.25s linear 1 forwards;
  animation:celebration-slow 2.25s linear 1 forwards
}
.celebration-particle.medium {
  -webkit-animation:celebration-medium 1.75s linear 1 forwards;
  animation:celebration-medium 1.75s linear 1 forwards
}
.celebration-particle.fast {
  -webkit-animation:celebration-fast 1.25s linear 1 forwards;
  animation:celebration-fast 1.25s linear 1 forwards
}
@-webkit-keyframes celebration-slow {
  0% {
    -webkit-transform:translate3d(0,0,0) rotateX(0) rotateY(0);
    transform:translateZ(0) rotateX(0) rotateY(0)
  }
  to {
    -webkit-transform:translate3d(25px,105vh,0) rotateX(360deg) rotateY(180deg);
    transform:translate3d(25px,105vh,0) rotateX(360deg) rotateY(180deg)
  }
}
@keyframes celebration-slow {
  0% {
    -webkit-transform:translate3d(0,0,0) rotateX(0) rotateY(0);
    transform:translateZ(0) rotateX(0) rotateY(0)
  }
  to {
    -webkit-transform:translate3d(25px,105vh,0) rotateX(360deg) rotateY(180deg);
    transform:translate3d(25px,105vh,0) rotateX(360deg) rotateY(180deg)
  }
}
@-webkit-keyframes celebration-medium {
  0% {
    -webkit-transform:translate3d(0,0,0) rotateX(0) rotateY(0);
    transform:translateZ(0) rotateX(0) rotateY(0)
  }
  to {
    -webkit-transform:translate3d(100px,105vh,0) rotateX(360deg) rotateY(360deg);
    transform:translate3d(100px,105vh,0) rotateX(360deg) rotateY(360deg)
  }
}
@keyframes celebration-medium {
  0% {
    -webkit-transform:translate3d(0,0,0) rotateX(0) rotateY(0);
    transform:translateZ(0) rotateX(0) rotateY(0)
  }
  to {
    -webkit-transform:translate3d(100px,105vh,0) rotateX(360deg) rotateY(360deg);
    transform:translate3d(100px,105vh,0) rotateX(360deg) rotateY(360deg)
  }
}
@-webkit-keyframes celebration-fast {
  0% {
    -webkit-transform:translate3d(0,0,0) rotateX(0) rotateY(0);
    transform:translateZ(0) rotateX(0) rotateY(0)
  }
  to {
    -webkit-transform:translate3d(-50px,105vh,0) rotateX(720deg) rotateY(540deg);
    transform:translate3d(-50px,105vh,0) rotateX(720deg) rotateY(540deg)
  }
}
@keyframes celebration-fast {
  0% {
    -webkit-transform:translate3d(0,0,0) rotateX(0) rotateY(0);
    transform:translateZ(0) rotateX(0) rotateY(0)
  }
  to {
    -webkit-transform:translate3d(-50px,105vh,0) rotateX(720deg) rotateY(540deg);
    transform:translate3d(-50px,105vh,0) rotateX(720deg) rotateY(540deg)
  }
}
.translate-y-12 {
  -webkit-transform:translateY(3rem);
  transform:translateY(3rem)
}
-translate-y-12 {
  -webkit-transform:translateY(-3rem);
  transform:translateY(-3rem)
}
.translate-y-0 {
  -webkit-transform:translateY(0);
  transform:translateY(0)
}
.scale-90 {
  -webkit-transform:scale(.9);
  transform:scale(.9)
}
.scale-100 {
  -webkit-transform:scale(1);
  transform:scale(1)
}
.table th {
  text-transform:unset!important;
  color:var(--bs-secondary)!important
}
.table td {
  border:none!important
}
.table tr {
  border-bottom:1px solid #16202b
}
.form-check-input {
  border-color:var(--bs-secondary)
}
.f-md {
  font-size:14px!important;
  font-weight:650!important
}
.layout-navbar-fixed .layout-wrapper:not(.layout-horizontal):not(.layout-without-menu) .layout-page {
  padding-bottom:78px!important
}
.menu-icon {
  transition:-webkit-transform .5s!important;
  transition:transform .5s!important;
  transition:transform .5s,-webkit-transform .5s!important
}
.menu-link:hover .menu-icon {
  -webkit-transform:rotate(360deg);
  transform:rotate(360deg)
}
#preloader {
  position:fixed;
  left:0;
  top:0;
  right:0;
  bottom:0;
  background-color:var(--bs-body-bg);
  display:-ms-flexbox;
  display:flex;
  -ms-flex-pack:center;
  justify-content:center;
  -ms-flex-align:center;
  align-items:center;
  z-index:9999;
  transition:opacity .5s ease,visibility .5s ease
}
#preloader.hidden {
  opacity:.01;
  visibility:hidden
}
.spinner {
  width:40px;
  height:40px;
  border:4px solid var(--bs-card-bg);
  border-top:4px solid var(--bs-primary);
  border-radius:50%;
  -webkit-animation:spin 1s linear infinite;
  animation:spin 1s linear infinite
}
.loader,
.loader:before,
.loader:after {
  border-radius:50%;
  width:2.5em;
  height:2.5em;
  -webkit-animation-fill-mode:both;
  animation-fill-mode:both;
  -webkit-animation:bblFadInOut 1.8s infinite ease-in-out;
  animation:bblFadInOut 1.8s infinite ease-in-out
}
.loader {
  color:var(--bs-primary);
  font-size:7px;
  position:relative;
  text-indent:-9999em;
  -webkit-transform:translateZ(0);
  transform:translateZ(0);
  -webkit-animation-delay:-.16s;
  animation-delay:-.16s
}
.loader:before,
.loader:after {
  content:"";
  position:absolute;
  top:0
}
.loader:before {
  left:-3.5em;
  -webkit-animation-delay:-.32s;
  animation-delay:-.32s
}
.loader:after {
  left:3.5em
}
@-webkit-keyframes spin {
  0% {
    -webkit-transform:rotate(0deg);
    transform:rotate(0)
  }
  to {
    -webkit-transform:rotate(360deg);
    transform:rotate(360deg)
  }
}
@keyframes spin {
  0% {
    -webkit-transform:rotate(0deg);
    transform:rotate(0)
  }
  to {
    -webkit-transform:rotate(360deg);
    transform:rotate(360deg)
  }
}
@-webkit-keyframes bblFadInOut {
  0%,
  80%,
  to {
    box-shadow:0 2.5em 0 -1.3em
  }
  40% {
    box-shadow:0 2.5em
  }
}
@keyframes bblFadInOut {
  0%,
  80%,
  to {
    box-shadow:0 2.5em 0 -1.3em
  }
  40% {
    box-shadow:0 2.5em
  }
}
.progress-circle {
  margin:auto;
  position:relative;
  width:120px;
  height:120px;
  border-radius:50%;
  display:-ms-flexbox;
  display:flex;
  -ms-flex-align:center;
  align-items:center;
  -ms-flex-pack:center;
  justify-content:center
}
.progress-circle img {
  width:100px;
  position:absolute;
  z-index:10;
  border-radius:50%
}
.progress-circle:before {
  content:"";
  position:absolute;
  width:110px;
  height:110px;
  background:#000;
  border-radius:50%;
  z-index:5
}
@media only screen and (max-width: 600px) {
  .progress-circle {
    width:80px;
    height:80px
  }
  .progress-circle img {
    width:65px!important
  }
  .progress-circle:before {
    width:73px;
    height:73px
  }
}
.card-container {
  display:grid;
  grid-template-columns:repeat(3,1fr);
  gap:10px
}
@media screen and (min-width: 768px) {
  .card-container {
    grid-template-columns:repeat(auto-fit,140px)
  }
}
.partner-card,
.shop-card {
  cursor:pointer;
  overflow:hidden;
  position:relative;
  transition:background-color .5s,-webkit-transform .5s!important;
  transition:transform .5s,background-color .5s!important;
  transition:transform .5s,background-color .5s,-webkit-transform .5s!important;
  border-radius:12px
}
.shop-card.active {
  background-color:#00000080;
  border:2px solid var(--bs-primary)!important
}
.partner-card .badge,
.shop-card .badge {
  border-radius:0 0 0 10px!important
}
.partner-card:hover,
.shop-card:hover {
  -webkit-transform:scale(1.1)!important;
  transform:scale(1.1)!important;
  background-color:#00000080;
  border:1px solid var(--bs-primary)
}
.shop-price-card {
  border:2px solid transparent!important
}
.shop-card:hover.shop-price-card {
  -webkit-transform:none!important;
  transform:none!important;
  border:2px solid var(--bs-primary)!important;
  overflow:hidden
}
.partner-card:hover .card-body img {
  -webkit-filter:blur(2px);
  filter:blur(2px);
  -webkit-transform:scale(1.1);
  transform:scale(1.1);
  transition:-webkit-filter .5s,-webkit-transform .5s;
  transition:filter .5s,transform .5s;
  transition:filter .5s,transform .5s,-webkit-filter .5s,-webkit-transform .5s
}
.partner-card .card-body i {
  display:-ms-flexbox;
  display:flex;
  position:absolute;
  top:50%;
  left:50%;
  -webkit-transform:translate(-50%,-50%);
  transform:translate(-50%,-50%);
  color:#fff;
  opacity:.01;
  visibility:hidden;
  transition:opacity .3s ease-in-out,visibility .5s ease-in-out;
  width:40px;
  height:40px;
  -ms-flex-align:center;
  align-items:center;
  -ms-flex-pack:center;
  justify-content:center;
  font-size:16px;
  box-shadow:0 0 10px #00000080
}
.partner-card:hover .card-body i {
  opacity:1;
  visibility:visible
}
.offer-card {
  transition:background-color .5s,-webkit-transform .5s;
  transition:transform .5s,background-color .5s;
  transition:transform .5s,background-color .5s,-webkit-transform .5s;
  height:100%
}
.offer-card:hover {
  background-color:#00000080
}
.offer-card:hover .card-img-block img {
  -webkit-filter:blur(2px) brightness(.3);
  filter:blur(2px) brightness(.3);
  transition:-webkit-filter .5s,-webkit-transform .5s;
  transition:filter .5s,transform .5s;
  transition:filter .5s,transform .5s,-webkit-filter .5s,-webkit-transform .5s
}
.offer-card .card-img-block i {
  display:-ms-flexbox;
  display:flex;
  opacity:.01;
  visibility:hidden;
  transition:opacity .5s ease-in-out,visibility .5s ease-in-out;
  width:40px;
  height:40px;
  -ms-flex-align:center;
  align-items:center;
  -ms-flex-pack:center;
  justify-content:center;
  font-size:16px;
  box-shadow:0 0 10px #00000080
}
.offer-card:hover .card-img-block i {
  opacity:1;
  visibility:visible
}
.streak-container {
  margin-top:20px;
  height:100%;
  width:100%;
  display:grid;
  grid-template-columns:repeat(7,1fr);
  grid-gap:10px
}
@media only screen and (max-width: 700px) {
  .streak-container {
    grid-template-columns:repeat(auto-fill,minmax(95px,1fr))
  }
}
.streak-card .card-body {
  padding:15px 0;
  text-align:center;
  margin-top:5px;
  border-radius:var(--bs-border-radius)
}
.streak-card .card-body p {
  font-size:9px
}
.streak-card .card-body h5 {
  font-size:11px
}
.streak-card i {
  font-size:25px!important
}
.streak-card button {
  font-size:10px
}
.search-input {
  border-right:none;
  height:40px;
  border-bottom-right-radius:0;
  border-top-right-radius:0
}
.search-input::-webkit-input-placeholder {
  color:var(--bs-secondary)
}
.search-input::-moz-placeholder {
  color:var(--bs-secondary)
}
.search-input:-ms-input-placeholder {
  color:var(--bs-secondary)
}
.search-input::-ms-input-placeholder {
  color:var(--bs-secondary)
}
.search-input::placeholder {
  color:var(--bs-secondary)
}
.search-input:hover {
  border-color:var(--bs-primary)!important
}
.search-input-icon {
  border-right:1px solid var(--bs-secondary);
  border-left:none;
  height:40px;
  border-bottom-left-radius:0;
  border-top-left-radius:0
}
.search-input-icon:hover,
.search-input-group:hover .search-input,
.search-input-group:hover .search-input-icon {
  border-color:var(--bs-primary)!important
}
.leaderboard-container {
  height:320px
}
.leaderboard-card {
  position:relative;
  background:linear-gradient(var(--bs-dark),var(--bs-body-bg));
  color:#fff;
  padding:30px;
  border-top-left-radius:25px;
  border-top-right-radius:25px;
  width:200px;
  text-align:center;
  transition:-webkit-transform .3s ease;
  transition:transform .3s ease;
  transition:transform .3s ease,-webkit-transform .3s ease
}
.leaderboard-card .place img {
  width:30px
}
@media only screen and (max-width: 600px) {
  .leaderboard-card {
    width:32%!important
  }
  .leaderboard-card .place img {
    width:20px
  }
}
.leaderboard-card .leaderboard-image {
  position:relative;
  margin:auto auto 16px;
  display:-ms-flexbox;
  display:flex;
  -ms-flex-align:center;
  align-items:center;
  -ms-flex-pack:center;
  justify-content:center;
  border-radius:9999px;
  padding:4px
}
.leaderboard-card .leaderboard-image img {
  width:70px;
  height:70px
}
.leaderboard-card .crown {
  position:absolute;
  z-index:0;
  width:28px!important;
  height:26px!important;
  margin-top:-5.4rem
}
.first-place {
  height:100%
}
.sec-place {
  height:88%
}
.third-place {
  height:75%
}
.avatar {
  height:2.5rem!important;
  width:2.5rem!important;
  border-radius:9999px
}
.nav-link:hover a {
  color:#202225!important
}
.dropdown-menu .switch {
  position:relative;
  display:block;
  padding:.5rem 1rem
}
.switch-toggle-slider {
  top:0!important
}
.swiper {
  margin-left:inherit!important;
  margin-right:inherit!important
}
.avatar-container {
  display:-ms-flexbox;
  display:flex;
  -ms-flex-wrap:wrap;
  flex-wrap:wrap;
  -ms-flex-pack:justify;
  justify-content:space-between;
  row-gap:5px
}
.avatar-item {
  width:60px;
  height:60px;
  border-radius:50%;
  display:-ms-flexbox;
  display:flex;
  -ms-flex-pack:center;
  justify-content:center;
  -ms-flex-align:center;
  align-items:center;
  cursor:pointer
}
.avatar-item img {
  width:50px;
  height:50px
}
.avatar-item.selected {
  border:3px solid var(--bs-primary)
}
@media only screen and (max-width: 600px) {
  .modal-sm-full {
    width:100%;
    max-width:100%;
    margin:0
  }
}
.dropdown-notifications .nav-link {
  color:var(--bs-body-color)
}
.dropdown-notifications .border-bottom {
  border-bottom:1px solid #43496873!important
}
.dropdown-notifications .border-top {
  border-top:1px solid #43496873!important
}
.dropdown-notifications .list-group-item {
  border-color:#43496873!important
}
.page-link,
.page-link>a {
  min-width:calc(2.4275rem + 0px)
}
html {
  scrollbar-width:thin;
  scrollbar-color:#bfbcce54
}
html::-webkit-scrollbar {
  width:12px
}
html::-webkit-scrollbar-track {
  background:var(--bs-dark);
  border-radius:10px
}
html::-webkit-scrollbar-thumb {
  background-color:#5d5e6038;
  border-radius:10px;
  border:3px solid var(--bs-dark)
}
html::-webkit-scrollbar-thumb:hover {
  background-color:#5d5e6080
}
.footer-link {
  font-size:13px;
  font-weight:300;
  color:var(--bs-body-text)!important;
  text-decoration:none
}
.footer-link-btn,
.footer-link-btn:visited {
  color:inherit!important
}
.accordion-button:not(.collapsed) {
  color:#fff
}
.offer-api-card {
  --offers-per-row: 3;
  display:grid!important;
  grid-template-columns:repeat(var(--offers-per-row),minmax(0,1fr));
  gap:12px;
  width:100%
}
@media only screen and (min-width: 701px) {
  .offer-api-card {
    --offers-per-row: 4
  }
}
@media only screen and (min-width: 800px) {
  .offer-api-card {
    --offers-per-row: 5
  }
}
@media only screen and (min-width: 999px) {
  .offer-api-card {
    --offers-per-row: 6
  }
}
@media only screen and (min-width: 1200px) {
  .offer-api-card {
    --offers-per-row: 7
  }
}
@media only screen and (min-width: 1500px) {
  .offer-api-card {
    --offers-per-row: 9
  }
}
.skeleton {
  background:var(--bs-base);
  border-radius:5px;
  position:relative;
  overflow:hidden;
  -webkit-animation:shimmer 1.5s infinite;
  animation:shimmer 1.5s infinite
}
.skeleton:after {
  content:"";
  position:absolute;
  top:0;
  left:-150px;
  height:100%;
  width:150px;
  background:linear-gradient(90deg,transparent,rgb(33 48 66 / 71%),transparent);
  -webkit-animation:loading 1.5s infinite;
  animation:loading 1.5s infinite
}
@-webkit-keyframes loading {
  0% {
    -webkit-transform:translateX(-100%);
    transform:translate(-100%)
  }
  to {
    -webkit-transform:translateX(100%);
    transform:translate(100%)
  }
}
@keyframes loading {
  0% {
    -webkit-transform:translateX(-100%);
    transform:translate(-100%)
  }
  to {
    -webkit-transform:translateX(100%);
    transform:translate(100%)
  }
}
.skeleton-text {
  height:16px;
  width:100%;
  margin-top:8px
}
.skeleton-img {
  height:124px;
  width:100%
}
.skeleton-badge {
  height:16px;
  width:50px;
  margin-top:8px
}
.skeleton-footer {
  height:20px;
  width:80px;
  margin-top:10px
}
/*!*layout handle on sm screens*!*/@media (max-width: 576px) {
  .card .card-body {
    padding-left:.5rem!important;
    padding-right:.5rem!important
  }
  .card .card-header {
    padding-left:.5rem!important;
    padding-right:.5rem!important;
    padding-bottom:0!important
  }
  .partner-card .card-body {
    height:88px!important
  }
}
.swiper-offer .swiper-offer-card {
  width:140px;
  max-width:140px
}
.swiper-offer .swiper-offer-card .card-img-block img,
.swiper-offer .swiper-offer-card .card-img-block {
  min-height:124px
}
@media only screen and (max-width: 600px) {
  .swiper-offer .swiper-offer-card {
    width:100px;
    max-width:100px
  }
  .swiper-offer .swiper-offer-card .card-img-block img {
    min-height:88px
  }
  .swiper-offer .swiper-offer-card .card-img-block {
    min-height:88px;
    height:88px!important
  }
}
.partner-card {
  width:140px!important;
  border-radius:var(--bs-border-radius)!important;
  margin-right:.5rem!important;
  margin-left:.5rem!important
}
.partner-card .card-body {
  height:130px
}
@media only screen and (max-width: 600px) {
  .partner-card {
    width:100px!important;
    border-radius:var(--bs-border-radius)!important;
    margin-right:.25rem!important;
    margin-left:.25rem!important
  }
  .card-container .partner-card {
    width:auto!important;
    margin:auto!important;
    margin-bottom:.5rem!important
  }
  .partner-card .card-body {
    height:100px
  }
}
.mobile-navbar {
  z-index:104;
  position:fixed;
  bottom:0;
  width:100%;
  background-color:var(--bs-body-bg);
  -webkit-backdrop-filter:blur(10px);
  backdrop-filter:blur(10px);
  grid-template-columns:repeat(auto-fit,minmax(40px,1fr));
  grid-column-gap:4px;
  border-top:1px solid rgba(183,207,255,.051);
  overflow:hidden;
  padding-left:16px;
  padding-right:16px;
  left:0;
  display:grid;
  -ms-flex-align:center;
  align-items:center;
  -ms-flex-pack:justify;
  justify-content:space-between;
  overflow-y:visible
}
.mobile-navbar .nv-item {
  display:-ms-flexbox;
  display:flex;
  -ms-flex-direction:column;
  flex-direction:column;
  -ms-flex-align:center;
  align-items:center;
  position:relative;
  width:100%;
  text-decoration:none;
  color:#93acd3;
  -ms-flex-pack:center;
  justify-content:center;
  height:100%;
  -webkit-transform:translateZ(0);
  transform:translateZ(0);
  font-size:10px;
  padding:10px 0
}
.mobile-navbar .nv-item.earn {
  background:linear-gradient(180deg,#01d676 0,#3b807b);
  width:60px;
  height:60px;
  right:50%;
  left:50%;
  bottom:3px;
  -webkit-transform:translateX(-50%);
  transform:translate(-50%);
  color:#fff!important;
  box-shadow:0 1px 14px #01d6764a;
  border-radius:50%
}
.mobile-navbar .nv-item>span {
  display:-ms-flexbox;
  display:flex;
  -ms-flex-direction:column;
  flex-direction:column;
  -ms-flex-align:center;
  align-items:center;
  -ms-flex-pack:center;
  justify-content:center;
  row-gap:10px
}
.mobile-navbar .nv-item>span i {
  font-size:20px
}
.mobile-navbar .nv-item>span span {
  font-size:10px
}
.mobile-navbar .nv-item.active {
  color:var(--bs-primary)
}
.bg-b-csm {
  height: 100%;
  width: 100%;
  background-size:auto;
  opacity:.1;
  position:absolute;
  left:0;
  right:0;
  pointer-events:none;
  -webkit-transform-origin:18px center;
  transform-origin:18px center;
  max-width:100%;
  overflow:hidden
}
.bg-b-csm:after {
  content:"";
  position:absolute;
  left:0;
  right:0;
  bottom:0;
  height:235px;
  background:linear-gradient(to bottom,transparent,#0d131c)
}
.bg-b-csm:before {
  content:"";
  position:absolute;
  left:0;
  right:0;
  bottom:0;
  height:235px;
  background:linear-gradient(to bottom,transparent,#0d131c)
}
.bg-menu-theme .menu-sub>.menu-item>.menu-link:before {
  content:"";
  font-family:"Font Awesome 6 Free",serif;
  font-weight:400
}
@media (max-width: 768px) {
  .modal-dialog {
    margin:0 auto!important
  }
}
@media (min-width: 1024px) {
  #offerApiModal .modal-content {
    max-height:80vh!important
  }
}
@media (max-width: 767.98px) {
  .modal .modal-dialog:not(.modal-fullscreen) {
    padding:0!important
  }
}
@media screen and (min-width: 576px) {
  .auth-width {
    max-width:500px;
    padding-left:20px!important;
    padding-right:20px!important
  }
}
.auth-tabs-container {
  margin-top:20px;
  margin-left:20px;
  margin-right:20px;
  background-color:#bfbcce54;
  padding:5px!important
}
